from django.urls import path, include
from rest_framework.routers import DefaultRouter
from .views import (
    BroadcastMessageViewSet,
    InboxViewSet,
    EmailTemplateViewSet,
    EmailTemplateTagsView,
    CustomEmailTemplateViewSet,
)

router = DefaultRouter()
router.register(r'broadcast-messages', BroadcastMessageViewSet, basename='broadcast-message')
router.register(r'inbox', InboxViewSet, basename='inbox')
router.register(r'email-templates', EmailTemplateViewSet, basename='email-template')
router.register(r'email-template-tags', EmailTemplateTagsView, basename='email-template-tags')
router.register(r'custom-email-templates', CustomEmailTemplateViewSet, basename='custom-email-template')

urlpatterns = [
    path('', include(router.urls)),
]
